> ## Documentation Index
> Fetch the complete documentation index at: https://docs.minenet.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Compress files



## OpenAPI

````yaml api-reference/openapi.yaml post /servers/{id}/files/compress
openapi: 3.1.0
info:
  title: Minenet Client API
  version: 1.0.0
  description: >
    Team-scoped API for deployments, servers, snapshots, files, and mod platform
    metadata.


    Authentication:

    - Bearer user token (`mnp_*`)

    - Bearer agent token (`mna_*`)


    Global rate limit: 100 requests/minute per token.
servers:
  - url: https://your-domain.com/api/client/v1
security:
  - bearerAuth: []
tags:
  - name: Deployments
  - name: Servers
  - name: Snapshots
  - name: Files
  - name: Modrinth
  - name: CurseForge
paths:
  /servers/{id}/files/compress:
    post:
      tags:
        - Files
      summary: Compress files
      operationId: compressFiles
      parameters:
        - $ref: '#/components/parameters/ServerId'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - root
                - files
              properties:
                root:
                  type: string
                  default: /
                files:
                  type: array
                  minItems: 1
                  maxItems: 100
                  items:
                    type: string
      responses:
        '200':
          description: Archive created
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
                  archive:
                    oneOf:
                      - $ref: '#/components/schemas/FileEntry'
                      - type: 'null'
        '429':
          $ref: '#/components/responses/RateLimited'
components:
  parameters:
    ServerId:
      name: id
      in: path
      required: true
      schema:
        type: string
        format: uuid
      description: Server UUID.
  schemas:
    FileEntry:
      type: object
      properties:
        name:
          type: string
        size:
          type: integer
        is_file:
          type: boolean
        is_directory:
          type: boolean
        is_symlink:
          type: boolean
        mime:
          oneOf:
            - type: string
            - type: 'null'
        mode:
          type: string
        mode_bits:
          type: string
        modified_at:
          oneOf:
            - type: string
            - type: 'null'
        created_at:
          oneOf:
            - type: string
            - type: 'null'
      required:
        - name
        - size
        - is_file
        - is_directory
        - is_symlink
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
      required:
        - error
  responses:
    RateLimited:
      description: Rate limit exceeded
      headers:
        Retry-After:
          schema:
            type: integer
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: token

````